Subject: bug#47426: 26.3; Doc of `plist-member' needs to say that it uses `eq'

From: Lars Ingebrigtsen <[email-masked]>
Date: Sun, 28 Mar 2021 14:59:44 +0200

Drew Adams <[email-masked]> writes:

> Subject line says it all.  The doc for `plist-get' and `plist-put' says
> that `eq' is used.  (elisp) Plist Access says nothing for `plist-member'.

The node says

---
They all compare property names using @code{eq}.
---

and plist-member is in that noe, so I think it's covered.  The doc
string of `plist-get' mentions `eq', but the doc string of the other two
don't, so I've now added that in Emacs 28.

In addition, those doc strings (but not `plist-get's) claimed that PROP
has to be a symbol, which isn't strictly true -- it just has to be
something that has a meaningful eq, so it works for (some) numbers, too.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no